import{s as U,n as j,o as q}from"../chunks/scheduler.9680c161.js";import{S as F,i as Q,g as o,s as l,r as R,A as W,h as s,f as n,c as r,j as E,u as B,x as d,k as O,y as D,a,v as N,d as X,t as J,w as K}from"../chunks/index.38d74ee1.js";import{H as V}from"../chunks/Heading.74c51a96.js";function Y(S){let i,L,v,T,p,_,u,H="Text Generation Inference (TGI) is a toolkit for deploying and serving Large Language Models (LLMs). TGI enables high-performance text generation for the most popular open-source LLMs, including Llama, Falcon, StarCoder, BLOOM, GPT-NeoX, and T5.",w,c,$='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/TGI.png" alt="Text Generation Inference"/>',b,m,I="Text Generation Inference implements many optimizations and features, such as:",y,f,k='<li>Simple launcher to serve most popular LLMs</li> <li>Production ready (distributed tracing with Open Telemetry, Prometheus metrics)</li> <li>Tensor Parallelism for faster inference on multiple GPUs</li> <li>Token streaming using Server-Sent Events (SSE)</li> <li>Continuous batching of incoming requests for increased total throughput</li> <li>Optimized transformers code for inference using <a href="https://github.com/HazyResearch/flash-attention" rel="nofollow">Flash Attention</a> and <a href="https://github.com/vllm-project/vllm" rel="nofollow">Paged Attention</a> on the most popular architectures</li> <li>Quantization with <a href="https://github.com/TimDettmers/bitsandbytes" rel="nofollow">bitsandbytes</a> and <a href="https://arxiv.org/abs/2210.17323" rel="nofollow">GPT-Q</a></li> <li><a href="https://github.com/huggingface/safetensors" rel="nofollow">Safetensors</a> weight loading</li> <li>Watermarking with <a href="https://arxiv.org/abs/2301.10226" rel="nofollow">A Watermark for Large Language Models</a></li> <li>Logits warper (temperature scaling, top-p, top-k, repetition penalty)</li> <li>Stop sequences</li> <li>Log probabilities</li> <li>Custom Prompt Generation: Easily generate text by providing custom prompts to guide the model’s output.</li> <li>Fine-tuning Support: Utilize fine-tuned models for specific tasks to achieve higher accuracy and performance.</li>',P,h,z="Text Generation Inference is used in production by multiple projects, such as:",C,g,A='<li><a href="https://github.com/huggingface/chat-ui" rel="nofollow">Hugging Chat</a>, an open-source interface for open-access models, such as Open Assistant and Llama</li> <li><a href="https://open-assistant.io/" rel="nofollow">OpenAssistant</a>, an open-source community effort to train LLMs in the open</li> <li><a href="http://nat.dev/" rel="nofollow">nat.dev</a>, a playground to explore and compare LLMs.</li>',M,x,G;return p=new V({props:{title:"Text Generation Inference",local:"text-generation-inference",headingTag:"h1"}}),{c(){i=o("meta"),L=l(),v=o("p"),T=l(),R(p.$$.fragment),_=l(),u=o("p"),u.textContent=H,w=l(),c=o("p"),c.innerHTML=$,b=l(),m=o("p"),m.textContent=I,y=l(),f=o("ul"),f.innerHTML=k,P=l(),h=o("p"),h.textContent=z,C=l(),g=o("ul"),g.innerHTML=A,M=l(),x=o("p"),this.h()},l(e){const t=W("svelte-u9bgzb",document.head);i=s(t,"META",{name:!0,content:!0}),t.forEach(n),L=r(e),v=s(e,"P",{}),E(v).forEach(n),T=r(e),B(p.$$.fragment,e),_=r(e),u=s(e,"P",{"data-svelte-h":!0}),d(u)!=="svelte-m7gv0"&&(u.textContent=H),w=r(e),c=s(e,"P",{"data-svelte-h":!0}),d(c)!=="svelte-1rntzol"&&(c.innerHTML=$),b=r(e),m=s(e,"P",{"data-svelte-h":!0}),d(m)!=="svelte-u1ae6o"&&(m.textContent=I),y=r(e),f=s(e,"UL",{"data-svelte-h":!0}),d(f)!=="svelte-15wmpgr"&&(f.innerHTML=k),P=r(e),h=s(e,"P",{"data-svelte-h":!0}),d(h)!=="svelte-uziyu5"&&(h.textContent=z),C=r(e),g=s(e,"UL",{"data-svelte-h":!0}),d(g)!=="svelte-stiskr"&&(g.innerHTML=A),M=r(e),x=s(e,"P",{}),E(x).forEach(n),this.h()},h(){O(i,"name","hf:doc:metadata"),O(i,"content",Z)},m(e,t){D(document.head,i),a(e,L,t),a(e,v,t),a(e,T,t),N(p,e,t),a(e,_,t),a(e,u,t),a(e,w,t),a(e,c,t),a(e,b,t),a(e,m,t),a(e,y,t),a(e,f,t),a(e,P,t),a(e,h,t),a(e,C,t),a(e,g,t),a(e,M,t),a(e,x,t),G=!0},p:j,i(e){G||(X(p.$$.fragment,e),G=!0)},o(e){J(p.$$.fragment,e),G=!1},d(e){e&&(n(L),n(v),n(T),n(_),n(u),n(w),n(c),n(b),n(m),n(y),n(f),n(P),n(h),n(C),n(g),n(M),n(x)),n(i),K(p,e)}}}const Z='{"title":"Text Generation Inference","local":"text-generation-inference","sections":[],"depth":1}';function ee(S){return q(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ie extends F{constructor(i){super(),Q(this,i,ee,Y,U,{})}}export{ie as component};
