import{s as N,o as O,n as V}from"../chunks/scheduler.9680c161.js";import{S as X,i as Y,g as c,s as i,r as _,A as Z,h as d,f as n,c as l,j as J,u as x,x as M,k as K,y as ee,a as o,v as y,d as P,t as b,w as z}from"../chunks/index.38d74ee1.js";import{T as te}from"../chunks/Tip.9bb23095.js";import{H as j}from"../chunks/Heading.74c51a96.js";function ne(H){let a,f="We recommend using <code>dynamic</code> RoPE scaling.";return{c(){a=c("p"),a.innerHTML=f},l(s){a=d(s,"P",{"data-svelte-h":!0}),M(a)!=="svelte-jsf1qj"&&(a.innerHTML=f)},m(s,q){o(s,a,q)},p:V,d(s){s&&n(a)}}}function oe(H){let a,f,s,q,p,L,m,k="Text Generation Inference improves the model in several aspects.",C,u,E,h,B='TGI supports <a href="https://github.com/TimDettmers/bitsandbytes#bitsandbytes" rel="nofollow">bits-and-bytes</a>, <a href="https://arxiv.org/abs/2210.17323" rel="nofollow">GPT-Q</a> and <a href="https://arxiv.org/abs/2306.00978" rel="nofollow">AWQ</a> quantization. To speed up inference with quantization, simply set <code>quantize</code> flag to <code>bitsandbytes</code>, <code>gptq</code> or <code>awq</code> depending on the quantization technique you wish to use. When using GPT-Q quantization, you need to point to one of the models <a href="https://huggingface.co/models?search=gptq" rel="nofollow">here</a> when using AWQ quantization, you need to point to one of the models <a href="https://huggingface.co/models?search=awq" rel="nofollow">here</a>. To get more information about quantization, please refer to <a href="./../conceptual/quantization">quantization guide</a>',I,g,S,$,D="RoPE scaling can be used to increase the sequence length of the model during the inference time without necessarily fine-tuning it. To enable RoPE scaling, simply pass <code>--rope-scaling</code>, <code>--max-input-length</code> and <code>--rope-factors</code> flags when running through CLI. <code>--rope-scaling</code> can take the values <code>linear</code> or <code>dynamic</code>. If your model is not fine-tuned to a longer sequence length, use <code>dynamic</code>. <code>--rope-factor</code> is the ratio between the intended max sequence length and the model’s original max sequence length. Make sure to pass <code>--max-input-length</code> to provide maximum input length for extension.",G,r,Q,w,R,T,U='<a href="https://github.com/huggingface/safetensors" rel="nofollow">Safetensors</a> is a fast and safe persistence format for deep learning models, and is required for tensor parallelism. TGI supports <code>safetensors</code> model loading under the hood. By default, given a repository with <code>safetensors</code> and <code>pytorch</code> weights, TGI will always load <code>safetensors</code>. If there’s no <code>pytorch</code> weights, TGI will convert the weights to <code>safetensors</code> format.',A,v,W;return p=new j({props:{title:"Preparing the Model",local:"preparing-the-model",headingTag:"h1"}}),u=new j({props:{title:"Quantization",local:"quantization",headingTag:"h2"}}),g=new j({props:{title:"RoPE Scaling",local:"rope-scaling",headingTag:"h2"}}),r=new te({props:{$$slots:{default:[ne]},$$scope:{ctx:H}}}),w=new j({props:{title:"Safetensors",local:"safetensors",headingTag:"h2"}}),{c(){a=c("meta"),f=i(),s=c("p"),q=i(),_(p.$$.fragment),L=i(),m=c("p"),m.textContent=k,C=i(),_(u.$$.fragment),E=i(),h=c("p"),h.innerHTML=B,I=i(),_(g.$$.fragment),S=i(),$=c("p"),$.innerHTML=D,G=i(),_(r.$$.fragment),Q=i(),_(w.$$.fragment),R=i(),T=c("p"),T.innerHTML=U,A=i(),v=c("p"),this.h()},l(e){const t=Z("svelte-u9bgzb",document.head);a=d(t,"META",{name:!0,content:!0}),t.forEach(n),f=l(e),s=d(e,"P",{}),J(s).forEach(n),q=l(e),x(p.$$.fragment,e),L=l(e),m=d(e,"P",{"data-svelte-h":!0}),M(m)!=="svelte-14h6xgp"&&(m.textContent=k),C=l(e),x(u.$$.fragment,e),E=l(e),h=d(e,"P",{"data-svelte-h":!0}),M(h)!=="svelte-1txhf09"&&(h.innerHTML=B),I=l(e),x(g.$$.fragment,e),S=l(e),$=d(e,"P",{"data-svelte-h":!0}),M($)!=="svelte-1o4vern"&&($.innerHTML=D),G=l(e),x(r.$$.fragment,e),Q=l(e),x(w.$$.fragment,e),R=l(e),T=d(e,"P",{"data-svelte-h":!0}),M(T)!=="svelte-mcf08f"&&(T.innerHTML=U),A=l(e),v=d(e,"P",{}),J(v).forEach(n),this.h()},h(){K(a,"name","hf:doc:metadata"),K(a,"content",ae)},m(e,t){ee(document.head,a),o(e,f,t),o(e,s,t),o(e,q,t),y(p,e,t),o(e,L,t),o(e,m,t),o(e,C,t),y(u,e,t),o(e,E,t),o(e,h,t),o(e,I,t),y(g,e,t),o(e,S,t),o(e,$,t),o(e,G,t),y(r,e,t),o(e,Q,t),y(w,e,t),o(e,R,t),o(e,T,t),o(e,A,t),o(e,v,t),W=!0},p(e,[t]){const F={};t&2&&(F.$$scope={dirty:t,ctx:e}),r.$set(F)},i(e){W||(P(p.$$.fragment,e),P(u.$$.fragment,e),P(g.$$.fragment,e),P(r.$$.fragment,e),P(w.$$.fragment,e),W=!0)},o(e){b(p.$$.fragment,e),b(u.$$.fragment,e),b(g.$$.fragment,e),b(r.$$.fragment,e),b(w.$$.fragment,e),W=!1},d(e){e&&(n(f),n(s),n(q),n(L),n(m),n(C),n(E),n(h),n(I),n(S),n($),n(G),n(Q),n(R),n(T),n(A),n(v)),n(a),z(p,e),z(u,e),z(g,e),z(r,e),z(w,e)}}}const ae='{"title":"Preparing the Model","local":"preparing-the-model","sections":[{"title":"Quantization","local":"quantization","sections":[],"depth":2},{"title":"RoPE Scaling","local":"rope-scaling","sections":[],"depth":2},{"title":"Safetensors","local":"safetensors","sections":[],"depth":2}],"depth":1}';function se(H){return O(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class de extends X{constructor(a){super(),Y(this,a,se,oe,N,{})}}export{de as component};
